# Class Executor

- Defined in packages/net/src/Executor.ts:31

#####
Index

### Constructors

constructor

### Properties

target

### Methods

diff
publish
subscribe

##
Constructors

### constructor

- new Executor(target: Target ): Executor

- #### Parameters

  - target: Target

  #### Returns Executor

  - Defined in packages/net/src/Executor.ts:33

##
Properties

### `Readonly` target

target: Target

- Defined in packages/net/src/Executor.ts:33

##
Methods

### diff

- diff(
  filter: Filter ,
  events: TrustedEvent [],
  __namedParameters?: DiffOpts,
  ): { unsubscribe: () => void }

- #### Parameters

  - filter: Filter
  - events: TrustedEvent []
  - __namedParameters: DiffOpts = {}

  #### Returns { unsubscribe: () => void }

  - Defined in packages/net/src/Executor.ts:99

### publish

- publish(
  event: SignedEvent ,
  __namedParameters?: PublishOpts,
  ): { unsubscribe: () => void }

- #### Parameters

  - event: SignedEvent
  - __namedParameters: PublishOpts = {}

  #### Returns { unsubscribe: () => void }

  - Defined in packages/net/src/Executor.ts:70

### subscribe

- subscribe(
  filters: Filter [],
  __namedParameters?: SubscribeOpts,
  ): { unsubscribe: () => void }

- #### Parameters

  - filters: Filter []
  - __namedParameters: SubscribeOpts = {}

  #### Returns { unsubscribe: () => void }

  - Defined in packages/net/src/Executor.ts:35